package com.muyu.rule.common.basic.abstracts;

import com.muyu.etl.domain.DataValue;
import com.muyu.rule.common.basic.BasicEngine;
import com.muyu.rule.common.basic.handler.DataEngineRowHandler;
import com.muyu.rule.common.domain.DataValueRow;

/**
 * @Author：张承志
 * @Package：com.muyu.rule.server.basic.abstracts
 * @Project：cloud-etl-rule
 * @name：DataEngineValueAu
 * @Date：2024/8/29 15:11
 */
public abstract class DataEngineRowActuator implements BasicEngine<DataValueRow> {

public void set(DataValueRow dataValue){
    DataEngineRowHandler.set(dataValue);
}

public DataValueRow get(){
    return DataEngineRowHandler.get();
}

    @Override
    public void execution() {
        this.run();
    }

    public abstract void run();

}
